Bug 1268742 - Review Request: rubygem-bacon-colored_output - Colored output for Bacon test framework
Review Request: rubygem-bacon-colored_output - Colored output for Bacon test ...
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Roman Joost
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1268744
  Show dependency treegraph
 
Reported: 2015-10-05 02:30 EDT by Ilya Gradina
Modified: 2018-01-04 20:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rjoost: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Ilya Gradina 2015-10-05 02:30:39 EDT
Spec URL: https://github.com/ilgrad/fedora-packages/raw/master/rubygems/rubygem-bacon-colored_output.spec
SRPM URL: https://github.com/ilgrad/fedora-packages/raw/master/rubygems/rubygem-bacon-colored_output-1.0.1-1.fc24.src.rpm
Description: Colored output for Bacon test framework.
Fedora Account System Username: ilgrad
Comment 2 Roman Joost 2017-07-27 19:42:43 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 5 files have
     unknown license. Detailed output of licensecheck in
     /home/rjoost/tmp/1268742-rubygem-bacon-colored_output/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[ ]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gems,
     /usr/share/gems/doc
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rubygem-
     bacon-colored_output-doc
[x]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Ruby:
[x]: Gem should use %gem_install macro.
[-]: Test suite of the library should be run.
[x]: Gem package should exclude cached Gem.
[x]: gems should not require rubygems package
[x]: Specfile should use macros from rubygem-devel package.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-bacon-colored_output-1.0.1-2.fc25.noarch.rpm
          rubygem-bacon-colored_output-doc-1.0.1-2.fc25.noarch.rpm
          rubygem-bacon-colored_output-1.0.1-2.fc25.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
rubygem-bacon-colored_output-doc (rpmlib, GLIBC filtered):
    rubygem-bacon-colored_output

rubygem-bacon-colored_output (rpmlib, GLIBC filtered):
    ruby(rubygems)
    rubygem(bacon)



Provides
--------
rubygem-bacon-colored_output-doc:
    rubygem-bacon-colored_output-doc

rubygem-bacon-colored_output:
    rubygem(bacon-colored_output)
    rubygem-bacon-colored_output



Source checksums
----------------
https://rubygems.org/gems/bacon-colored_output-1.0.1.gem :
  CHECKSUM(SHA256) this package     : 94653ad17450868ceb8d8154d516ce9201637388a0edfcd6f6b80372bfc18146
  CHECKSUM(SHA256) upstream package : 94653ad17450868ceb8d8154d516ce9201637388a0edfcd6f6b80372bfc18146


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/bin/fedora-review -b 1268742
Buildroot used: fedora-25-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 Roman Joost 2017-07-27 19:45:40 EDT
To me it looks all fine, except that in the mean time a newer version has been released (sorry :(). Is it possible to update or is there a strong reason to stick with the current version?
Comment 4 Ilya Gradina 2017-07-27 23:39:10 EDT
(In reply to Roman Joost from comment #3)
> To me it looks all fine, except that in the mean time a newer version has
> been released (sorry :(). Is it possible to update or is there a strong
> reason to stick with the current version?

thx! Yes of course.

spec:https://github.com/ilgrad/fedora-packages/raw/master/rubygems/rubygem-bacon-colored_output.spec
srpm: https://github.com/ilgrad/fedora-packages/raw/master/rubygems/rubygem-bacon-colored_output-1.1.1-1.fc27.src.rpm

koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=20833470
Comment 5 Roman Joost 2017-07-30 20:38:30 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 5 files have
     unknown license. Detailed output of licensecheck in
     /home/rjoost/tmp/1268742-rubygem-bacon-colored_output/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gems,
     /usr/share/gems/doc
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ruby:
[x]: Platform dependent files must all go under %{gem_extdir_mri}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Macro %{gem_extdir} is deprecated.
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package does not contain Requires: ruby(abi).

===== SHOULD items =====

Generic:
[x]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rubygem-
     bacon-colored_output-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Ruby:
[x]: Gem should use %gem_install macro.
[-]: Test suite of the library should be run.
[x]: Gem package should exclude cached Gem.
[x]: gems should not require rubygems package
[x]: Specfile should use macros from rubygem-devel package.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-bacon-colored_output-1.1.1-1.fc25.noarch.rpm
          rubygem-bacon-colored_output-doc-1.1.1-1.fc25.noarch.rpm
          rubygem-bacon-colored_output-1.1.1-1.fc25.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
rubygem-bacon-colored_output-doc (rpmlib, GLIBC filtered):
    rubygem-bacon-colored_output

rubygem-bacon-colored_output (rpmlib, GLIBC filtered):
    ruby(rubygems)
    rubygem(bacon)



Provides
--------
rubygem-bacon-colored_output-doc:
    rubygem-bacon-colored_output-doc

rubygem-bacon-colored_output:
    rubygem(bacon-colored_output)
    rubygem-bacon-colored_output



Source checksums
----------------
https://rubygems.org/gems/bacon-colored_output-1.1.1.gem :
  CHECKSUM(SHA256) this package     : fde2b3ec8f42cf0a8b2597bc625b20d5af88d08d9fcc715370953637f780defe
  CHECKSUM(SHA256) upstream package : fde2b3ec8f42cf0a8b2597bc625b20d5af88d08d9fcc715370953637f780defe


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/bin/fedora-review -b 1268742
Buildroot used: fedora-25-x86_64
Active plugins: Generic, Ruby, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 6 Roman Joost 2017-07-30 20:39:37 EDT
Diff against the old review:

--- ../1268742-rubygem-bacon-colored_output_old/review.txt      2017-07-28 09:46:15.738517634 +1000
+++ review.txt  2017-07-31 10:37:06.139563839 +1000
@@ -74,6 +74,17 @@
      Note: Documentation size is 0 bytes in 0 files.
 [x]: Packages must not store files under /srv, /opt or /usr/local
 
+Ruby:
+[x]: Platform dependent files must all go under %{gem_extdir_mri}, platform
+     independent under %{gem_dir}.
+[x]: Gem package must not define a non-gem subpackage
+[x]: Macro %{gem_extdir} is deprecated.
+[x]: Gem package is named rubygem-%{gem_name}
+[x]: Package contains BuildRequires: rubygems-devel.
+[x]: Gem package must define %{gem_name} macro.
+[x]: Pure Ruby package must be built as noarch
+[x]: Package does not contain Requires: ruby(abi).
+
 ===== SHOULD items =====
 
 Generic:
@@ -86,7 +97,7 @@
      Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rubygem-
      bacon-colored_output-doc
 [x]: Package functions as described.
-[!]: Latest version is packaged.
+[x]: Latest version is packaged.
 [x]: Package does not include license text files separate from upstream.
 [-]: Description and summary sections in the package spec file contains
      translations for supported Non-English languages, if available.
@@ -122,9 +133,9 @@
 
 Rpmlint
 -------
-Checking: rubygem-bacon-colored_output-1.0.1-2.fc25.noarch.rpm
-          rubygem-bacon-colored_output-doc-1.0.1-2.fc25.noarch.rpm
-          rubygem-bacon-colored_output-1.0.1-2.fc25.src.rpm
+Checking: rubygem-bacon-colored_output-1.1.1-1.fc25.noarch.rpm
+          rubygem-bacon-colored_output-doc-1.1.1-1.fc25.noarch.rpm
+          rubygem-bacon-colored_output-1.1.1-1.fc25.src.rpm
 3 packages and 0 specfiles checked; 0 errors, 0 warnings.
 
 
@@ -160,14 +171,14 @@
 
 Source checksums
 ----------------
-https://rubygems.org/gems/bacon-colored_output-1.0.1.gem :
-  CHECKSUM(SHA256) this package     : 94653ad17450868ceb8d8154d516ce9201637388a0edfcd6f6b80372bfc18146
-  CHECKSUM(SHA256) upstream package : 94653ad17450868ceb8d8154d516ce9201637388a0edfcd6f6b80372bfc18146
+https://rubygems.org/gems/bacon-colored_output-1.1.1.gem :
+  CHECKSUM(SHA256) this package     : fde2b3ec8f42cf0a8b2597bc625b20d5af88d08d9fcc715370953637f780defe
+  CHECKSUM(SHA256) upstream package : fde2b3ec8f42cf0a8b2597bc625b20d5af88d08d9fcc715370953637f780defe
 
 
 Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
 Command line :/bin/fedora-review -b 1268742
 Buildroot used: fedora-25-x86_64
-Active plugins: Generic, Shell-api
+Active plugins: Generic, Ruby, Shell-api
 Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
 Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 7 Roman Joost 2017-07-30 20:40:02 EDT
Approved. Many thanks!
Comment 8 Vít Ondruch 2017-11-29 08:44:57 EST
Ping ... Could you please import this into Fedora?
Comment 9 Vít Ondruch 2017-11-29 09:01:51 EST
BTW the BR: rubygem(bacon) is probably not required, because there is no test suite enabled ...
Comment 11 Vít Ondruch 2017-12-11 12:03:48 EST
(In reply to Ilya Gradina from comment #10)
> Hi Vit,
> yes bacon not needed.

Thx.

But since rubygem-ast does not need this package for its build, do you still want to import it into Fedora? If the answer is

1) yes, then please ask for repository and continue with import and build, because the package was already approved by Roman.
2) no, then close the ticket and forget about this package ;-P
Comment 12 Ilya Gradina 2018-01-04 20:23:23 EST
(In reply to Roman Joost from comment #7)
> Approved. Many thanks!
Hi, can I ask you clear and set again the flag approved?

I get this error:
(Error: The Bugzilla bug's review was approved over 60 days ago))

Note You need to log in before you can comment on or make changes to this bug.